package com.ruoyi.database.domain;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@TableName("non_working_day_drinking_report")
@ApiModel("非工作日饮酒报备单")
public class NonWorkingDayDrinkingReport {

    @TableId(value = "id", type = IdType.AUTO)
    @ApiModelProperty("主键ID")
    private Long id;

    @ApiModelProperty("申请编号")
    private String applyNo;

    @ApiModelProperty("姓名")
    private String name;


    @ApiModelProperty("家属姓名")
    private String homeName;

    @ApiModelProperty("家属联系方式")
    private String homePhone;

    @ApiModelProperty("userId")
    private Long userId;

    @ApiModelProperty("用户类型")
    private Integer userType;

    @ApiModelProperty("单位职务")
    private String position;

    @ApiModelProperty("单位名称")
    private String deptName;

    @ApiModelProperty("单位id")
    private Long deptId;

    @ApiModelProperty("饮酒时间")
    private Long drinkTime;

    @ApiModelProperty("出行方式")
    private String travelMode;

    @ApiModelProperty("饮酒地点")
    private String drinkPlace;

    @ApiModelProperty("饮酒事由")
    private String reason;

    @ApiModelProperty("是否本人付款（0-否 1-是）")
    private Integer isSelfPay;

    @ApiModelProperty("是否有管理和服务对象参与（0-否 1-是）")
    private Integer hasServiceObject;

    @ApiModelProperty("是否参与影响公正执行公务的宴请（0-否 1-是）")
    private Integer affectOfficialDuties;

    @ApiModelProperty("是否存在领导干部/单位间相互宴请（0-否 1-是）")
    private Integer mutualBanquet;

    @ApiModelProperty("是否接受下属或地方公安机关宴请（0-否 1-是）")
    private Integer acceptSubordinateInvite;

    @ApiModelProperty("是否出入私人会所或参与一桌餐（0-否 1-是）")
    private Integer privateClub;

    @ApiModelProperty("审批流程 0-未审批 1-部门审批通过 2-部门审批不通过 3-警务保障部门审批通过 4-警务保障部门审批不通过 5-局领导审批通过 6-局领导审批不通过")
    @TableField(condition = SqlCondition.EQUAL)
    private Integer state;

    @ApiModelProperty("备注说明")
    private String remark;

    @ApiModelProperty("承诺人签名")
    private String commitmentSign;

    @ApiModelProperty("责任领导签名")
    private String leaderSign;

    @ApiModelProperty("创建时间")
    private Long createTime;

    @ApiModelProperty("创建人")
    private String createBy;

    @ApiModelProperty("修改时间")
    private Long updateTime;

    @ApiModelProperty("修改人")
    private String updateBy;

    @TableField(exist = false)
    private String fTime;
    @TableField(exist = false)
    private String eTime;

    @ApiModelProperty("关联用uuid")
    private String uuid;
}