package com.ruoyi.database.domain;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@TableName("police_leave_approval")
@ApiModel("民警请（休）假审批表")
public class PoliceLeaveApproval {

    @TableId(value = "id", type = IdType.AUTO)
    @ApiModelProperty("主键ID")
    private Long id;

    @ApiModelProperty("编号")
    private String applyNo;

    @ApiModelProperty("原因")
    private String reason;

    @ApiModelProperty("姓名")
    private String name;

    @ApiModelProperty("用户id")
    private Long userId;

    @ApiModelProperty("身份证号码")
    private String idCard;


    @ApiModelProperty("参加工作时间")
    private Long joinWorkTime;
    @TableField(exist = false)
    private String joinWorkTimeCn;

    @ApiModelProperty("联系电话")
    private String phone;

    @ApiModelProperty("用户类型 0-普通民警 1-部门领导 2-分管局成员")
    private Integer userType;

    @ApiModelProperty("是否已读")
    private Integer isRead;

    @ApiModelProperty("所在单位")
    private String deptName;

    @ApiModelProperty("单位id")
    private Long deptId;

    @ApiModelProperty("请假天数")
    private String days;

    @ApiModelProperty("请假类别（1-公休假 2-事假 3-探亲假 4-婚假 5-产假 6-护理假 7-病假 8-育儿假 9-其他）")
    private Integer leaveType;

    @ApiModelProperty("请假开始时间")
    private Long startDate;
    @TableField(exist = false)
    private String startDateCn;

    @ApiModelProperty("请假结束时间")
    private Long endDate;
    @TableField(exist = false)
    private String endDateCn;

    @ApiModelProperty("审批状态 0-未审批 1-通过 2-不通过")
    @TableField(condition = SqlCondition.EQUAL)
    private Integer state;


    @ApiModelProperty("部门领导审批状态 0-未审批 1-部门审批通过 2-部门审批不通过")
    @TableField(condition = SqlCondition.EQUAL)
    private Integer deptState;

    @ApiModelProperty("政治处审批状态 0-未审批 1-政治处审批通过 2-政治处审批不通过")
    @TableField(condition = SqlCondition.EQUAL)
    private Integer zzcState;

    @ApiModelProperty("局领导审批状态 0-未审批 1-局领导审批通过 2-局领导审批不通过")
    @TableField(condition = SqlCondition.EQUAL)
    private Integer leaderState;

    @ApiModelProperty("创建时间")
    private Long createTime;
    @TableField(exist = false)
    private String createTimeCn;


    @ApiModelProperty("创建人")
    private String createBy;

    @ApiModelProperty("修改时间")
    private Long updateTime;
    @TableField(exist = false)
    private String updateTimeCn;

    @ApiModelProperty("修改人")
    private String updateBy;

    @TableField(exist = false)
    private String fTime;
    @TableField(exist = false)
    private String eTime;

    @ApiModelProperty("关联用uuid")
    private String uuid;
}